Bug 1226456 - [RFE][api] Add support for creation of Catalog Item/Bundle (service_templates)
Summary: [RFE][api] Add support for creation of Catalog Item/Bundle (service_templates)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.4.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.8.0
Assignee: Jillian Tullo
QA Contact: Martin Kourim
URL:
Whiteboard: service:catalog:rest
Depends On: 1244937
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-29 20:16 UTC by Ramesh A
Modified: 2020-04-15 14:13 UTC (History)
4 users (show)

Fixed In Version: 5.8.0.2
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:19:20 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Ramesh A 2015-05-29 20:16:23 UTC
Description of problem:
Add ability to create new service templates using the Rest API

Version-Release number of selected component (if applicable):
5.4.0.2.20150519003830_673f996

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Ramesh A 2015-05-29 20:16:42 UTC
Git hub link - https://github.com/ManageIQ/manageiq/issues/2123

Comment 5 Jillian Tullo 2017-02-27 19:19:24 UTC
changing status to POST as https://github.com/ManageIQ/manageiq/pull/12594 was merged

Comment 6 Martin Kourim 2017-05-02 14:15:56 UTC
Verified with
POST /api/service_templates
{
    "name": "My Atomic Service Template",
    "service_type": "atomic",
    "prov_type": "vmware",
    "display": false,
    "config_info": {
      "service_template_request": true,
      "provision_type": ["vmware", "VMware"],
      "customize_enabled": ["enabled"],
      "miq_request_dialog_name": "miq_provision_vmware_dialogs_template",
      "catalog_id": "3",
      "st_prov_type": "vmware",
      "service_type": "atomic",
      "dialog_id": "4",
      "placement_auto": [true, 1],
      "number_of_vms": [1, "1"],
      "src_vm_id": [21, "damnSmallLinux"],
      "vm_name": "test_rest_aRZlFIJa3ZAAA",
      "schedule_type": ["immediately", "Immediately on Approval"],
      "src_ems_id": [1, "vSphere 6 (nested)"],
      "provision": {
        "fqname": "/Service/Provisioning/StateMachines/ServiceProvision_Template/CatalogItemInitialization",
        "dialog_id": 4
      },
      "retirement": {
        "fqname": "/Service/Retirement/StateMachines/ServiceRetirement/Default",
        "dialog_id": 4
      }
    }
}

Comment 8 errata-xmlrpc 2017-05-31 14:19:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.